package webcore.webserver;

/****
 * An interface used by WebServer to create sockets.  The default factory
 * in WebServer can be replaced with an implementor of this interface
 * to provide special Sockets.
 */
public interface WebServerSocketFactoryInterface
{
	/****
  	 * Returns a server socket listening on the requestedPort
     * @param requestedPort	the port for the server socket to listen on
     */
	java.net.ServerSocket getServerSocket(int requestedPort)
 		throws java.io.IOException;
}
