/*

Tiedosto   : MessageAttributeInterface.java

         
Tekij     : Mikko Hiipakka
Luonti pvm : 18.11.2002


Muutokset :

18.11.2002 Mikko Hiipakka
           Luotu
15.12.2002 Mikko Hiipakka
           Rakenne tarkistettu


*/


package converge.attribute;

import converge.service.Message;
import org.w3c.dom.*;



public interface MessageAttributeInterface extends AttributeInterface{

  /**
   * Metodi jonka avulla voidaan vertailla annettavaa arvoa. Laskenta suoritetaan,
   * "Ilmentymn arvo" expressionType  value esim. value &lg; "100". Epselv 
   * vertailusnt palauttaa false
   * @param value Ilmentymlle annettava vertailu arvo
   * @param expressionType, hyvksyttvt arvot "&lt;","&gt;","=",
   *                                            "&lt;=","&gt;="
   * @return Palauttaa vertailun tuloksen 
  */
  public boolean compare ( String expressionType, Object value );
  
  /**
   * Attribuutin ilmentymlle annetaan viite viesti-olioon, johon se on 
   * liitetty. Tmn avulla attribuutti pystyy tarvittaessa laskemaan
   * oman arvotietosisltns.
   * @param msg Viestiolio, johon attribuutin ilmentym on liitetty
  */
  public void setMessage( Message msg);  
}
