/*
Tiedosto: ScheduledRule.java
Luokat:   ScheduledRule

Tekij:   Olli Pettay
Luonti:   26.11.2002

Muutokset:
  26.11.2002  Luokan luonti

*/


package converge.kernel;
import org.w3c.dom.*;

/**
* Laajennetaan Rule-luokkaa siten, ett voidaan tuottaa mys
* ajastettuihin sntihin sopivaa XML:.
*
*/
public class ScheduledRule extends Rule{
  
  public ScheduledRule(){
    super();
  }
  
  public ScheduledRule(String name){
    super(name);
  }
  /**
  *Palautetaan Declaration-taulukko, joka sislt viitteen sntjen
  *ksittelyss kytettvien olioiden nimiin ja tyyppeihin.
  */
  public org.drools.rule.Declaration[] getParametersForDrools(){
    try {
      org.drools.rule.Declaration[] ret = new org.drools.rule.Declaration[2];
      String name1 = "user";
      org.drools.semantics.java.ClassObjectType type1 = 
         new org.drools.semantics.java.ClassObjectType(Class.forName("converge.kernel.User"));
      org.drools.rule.Declaration first = new org.drools.rule.Declaration(type1, name1);
      ret[0] = first;
    
      String name2 = "event";
      org.drools.semantics.java.ClassObjectType type2 = 
         new org.drools.semantics.java.ClassObjectType(Class.forName("converge.kernel.ActionEvent"));
    
      org.drools.rule.Declaration second = new org.drools.rule.Declaration(type2, name2);
      ret[1] = second;
      return ret;
    }
    catch (Exception e) {
      Log.stack(e);
    }
    return null;
  }
  /**
  *Palautetaan Droolsin ymmrtmss muodossa snnn ehto.
  */
  public org.drools.semantics.java.ExprCondition getConditionForDrools() {
    try {
    return new org.drools.semantics.java.ExprCondition(
          this.makeConditionCode("user", "getProperty"),
          this.getParametersForDrools());
    }catch (Exception e) {
      Log.stack(e);
    }
    return null;
  }

}

