/*

Tiedosto   : XMLContentInterface.java

         
Tekij     : Mikko Hiipakka
Luonti pvm : 23.11.2002


Muutokset :

23.11.2002 Mikko Hiipakka
           Luotu
15.12.2002 Mikko Hiipakka
           Rakenne tarkistettu

*/


package converge.kernel;

import org.w3c.dom.*;
/**
* XMLContentInterfacen toteuttavat luokat pystyvt luomaan omasta 
* tietosisllstn XML:.
*/
public interface XMLContentInterface{
  /**
   * Luo XML muotoisen esityksen ilmentymn tietosisllst
   * @param parent org.w3c.dom.Node. Node,jonka alle 
   * ilmentym kirjoittaa sisltns eli kirjoitettavien elementtien 
   * vanhempi.
  */
  public void createXML( Node parent );
  /**
   * Luo ilmentymn tietosislln annetusta xml nodesta
   * @param myContent org.w3c.dom.Node. Node,joka sislt luokan
   * tietosislt kuvauksen
   * @return Totuuarvo ilmaus onnistuiko ilmentym alustamaan itsens annetusta
   * elementist
   * @see createXML( Node )
  */  
  public boolean loadXML( Node myContent );
}
