/*
Tiedosto: ConvergeTrustManager.java
Luokat:   ConvergeTrustManager

Tekij:   Anssi Johansson
Luonti:   3.12.2002

Muutokset:
  03.12.2002  Luokan luonti

*/

package converge.service;
import javax.net.ssl.X509TrustManager;
import java.security.cert.X509Certificate;

/**
* Yksinkertainen luokka, joka hyvksyy kaikki annetut turvasertifikaatit.
* Tt voisi joskus tulevaisuudessa viritt turvallisemmaksikin eli
* toteuttaa puuttuvat metodit. Tm taso riitt kuitenkin prototyyppiin.
*/

public class ConvergeTrustManager implements X509TrustManager {

    /**
    * Tarkistaa onko asiakasohjelman sertifikaatti oikea.
    *
    * @param cert sertifikaattitaulukko
    * @param auth autentikointityyppi
    */
    public void checkClientTrusted(X509Certificate[] cert, String auth) {
        return;
    }

    /**
    * Tarkistaa onko palvelimen sertifikaatti oikea. Tt metodia ei tarvittane en,
    * checkClientTrusted hoitaa asian J2SE 1.4:st lhtien.
    *
    * @param cert sertifikaattitaulukko
    */
    public void isClientTrusted(X509Certificate[] cert) {
        return;
    }

    /**
    * Tarkistaa onko palvelimen sertifikaatti oikea. Tt metodia ei tarvittane en,
    * checkServerTrusted hoitaa asian J2SE 1.4:st lhtien.
    *
    * @param cert sertifikaatti
    */
    public boolean isServerTrusted(X509Certificate[] cert) {
        return true;
    }

    /**
    * Tarkistaa onko palvelimen sertifikaatti oikea.
    *
    * @param cert sertifikaattitaulukko
    * @param auth autentikointityyppi
    */
    public void checkServerTrusted(X509Certificate[] cert, String auth) {
        return;
    }

    /**
    * Palauttaa tyhjn taulukon tiedetyist sertifikaattien julkaisijoista.
    *
    * @return julkaisijoiden sertifikaattien lista
    */
    public X509Certificate[] getAcceptedIssuers() {
        return new X509Certificate[0];
    }
}
